<?php

use App\Http\Controllers\LibrilladoraController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FileUploadController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/processed/{fileName}/{size}', LibrilladoraController::class)->name('process');

Route::post('file-upload', [FileUploadController::class, 'fileUploadPost'])->name('file.upload.post');
